%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pname k8sclient
%global sname python-k8sclient

%if 0%{?fedora} >= 24
%global with_python3 1
%global _docdir_fmt %{name}
%endif

Name:           python-k8sclient
Version:        0.3.0
Release:        6%{?dist}
Summary:        Python API for Kubernetes

License:        ASL 2.0
URL:            https://github.com/openstack/python-k8sclient
Source0:        https://pypi.io/packages/source/p/%{sname}/%{sname}-%{upstream_version}.tar.gz
BuildArch:      noarch

%description
This is Kubernetes API python client code. This code is generated by
swagger-codegen. Kubernetes provide swagger-spec to generate client code
for different versions.


%package -n     python2-k8sclient
Summary:        Python API for Kubernetes

%{?python_provide:%python_provide python2-%{pname}}

BuildRequires:  python2-pbr >= 1.8
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-six

Requires:       python2-pbr >= 1.8
Requires:       python2-six >= 1.9.0
Requires:       python2-urllib3 >= 1.8.3
Requires:       python2-dateutil

# test requirements

BuildRequires:       python2-hacking
BuildRequires:       python2-coverage
BuildRequires:       python2-subunit
BuildRequires:       python2-oslotest
BuildRequires:       python2-testrepository
BuildRequires:       python2-testscenarios
BuildRequires:       python2-testtools

%description -n python2-k8sclient
This is Kubernetes API python client code. This code is generated by
swagger-codegen. Kubernetes provide swagger-spec to generate client code
for different versions.

%if 0%{?with_python3}
%package -n     python3-k8sclient
Summary:        Python API for Kubernetes

%{?python_provide:%python_provide python3-%{pname}}

BuildRequires:  python3-pbr >= 1.8
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six

Requires:       python3-pbr >= 1.8
Requires:       python3-six >= 1.9.0
Requires:       python3-urllib3 >= 1.8.3
Requires:       python3-dateutil

# test requirements

BuildRequires:       python3-hacking
BuildRequires:       python3-coverage
BuildRequires:       python3-subunit
BuildRequires:       python3-oslotest
BuildRequires:       python3-testrepository
BuildRequires:       python3-testscenarios
BuildRequires:       python3-testtools

%description -n python3-k8sclient
This is Kubernetes API python client code. This code is generated by
swagger-codegen. Kubernetes provide swagger-spec to generate client code
for different versions.
%endif

%package -n python-%{pname}-doc
Summary:        Python k8sclient documentation

BuildRequires:  python2-sphinx
BuildRequires:  python2-oslo-sphinx

%description -n python-%{pname}-doc
Documentation for python-k8sclient

%prep
%autosetup -n %{name}-%{upstream_version}

# Let RPM handle the dependencies
rm -f test-requirements.txt requirements.txt

%build
%py2_build

%if 0%{?with_python3}
%py3_build
%endif

# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%if 0%{?with_python3}
%py3_install
%endif

%py2_install

%check
# Skipping the tests due to this pbr bug
# https://bugs.launchpad.net/pbr/+bug/1505007
python2 setup.py test ||

%if 0%{?with_python3}
python3 setup.py test ||
rm -rf .testrepository
%endif

%files -n python2-k8sclient
%doc README.rst
%license LICENSE
%{python2_sitelib}/k8sclient
%{python2_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-k8sclient
%doc README.rst
%license LICENSE
%{python3_sitelib}/k8sclient
%{python3_sitelib}/*.egg-info
%endif

%files -n python-%{pname}-doc
%doc html doc/source/readme.rst

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.0-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-2
- Rebuild for Python 3.6

* Mon Sep 12 2016 Haikel Guemar <hguemar@fedoraproject.org> 0.3.0-1
- Update to 0.3.0

